## com.lowagie.text
Class ZapfDingbatsNumberList

    java.lang.Object
      com.lowagie.text.List
          com.lowagie.text.ZapfDingbatsNumberList

All Implemented Interfaces:
  Element, MarkupAttributes, TextElementArray

    public class ZapfDingbatsNumberList

extends List

A special-version of `LIST` whitch use zapfdingbats-numbers (1..10).

Version:
  2003-06-22
Author:
  Michael Niedermair
See Also:
  `List`

Field Summary
`protected int` `type` which type

Fields inherited from class com.lowagie.text.List
`ALPHABETICAL, first, firstCh, indentationLeft, indentationRight, lastCh, lettered, list, markupAttributes, numbered, NUMBERICAL, ORDERED, symbol, symbolIndent, UNORDERED`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`ZapfDingbatsNumberList(int type, int symbolIndent)` Creates a ZapdDingbatsNumberList

Method Summary
`boolean` `add(java.lang.Object o)` Adds an `Object` to the `List`.
`int` `getType()` get the type
`void` `setType(int type)` set the type

Methods inherited from class com.lowagie.text.List
`first, getChunks, getItems, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, indentationLeft, indentationRight, isNumbered, isSymbol, isTag, leading, process, setFirst, setFirst, setIndentationLeft, setIndentationRight, setListSymbol, setListSymbol, setMarkupAttribute, setMarkupAttributes, size, symbol, symbolIndent, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### type

    protected int type

  which type

Constructor Detail

### ZapfDingbatsNumberList

    public ZapfDingbatsNumberList(int type,
                                  int symbolIndent)

  Creates a ZapdDingbatsNumberList

  Parameters:
    `type` - the type of list
    `symbolIndent` - indent

Method Detail

### setType

    public void setType(int type)

  set the type

  Parameters:
    `type` -

### getType

    public int getType()

  get the type

  Returns:
    char-number

### add

    public boolean add(java.lang.Object o)

  Adds an `Object` to the `List`.

  Specified by:
    `add` in interface `TextElementArray`
  Overrides:
    `add` in class `List`
  Parameters:
    `o` - the object to add.
  Returns:
    true if adding the object succeeded